1

Whenever I try to install Anbox on my Xubuntu 17.10 machine, I get the following error:

error: cannot install "anbox-installer": Post https://api.snapcraft.io/v2/snaps/refresh: dial tcp:
   lookup api.snapcraft.io on [::1]:53: read udp [::1]:39062->[::1]:53: read: connection
   refused

For a visual representation: https://asciinema.org/a/Pisk1bKivlX9ihvE9Pn64cbhC

0

Your problem seems to be network connection issue.
And please note that Ubuntu 17.10 will EOL soon, consider to upgrade it to 18.04 LTS.

On my 18.04 LTS system I get the following:

mate@bionic:~$ snap install  --classic anbox-installer
anbox-installer 1 from 'morphis' installed
mate@bionic:~$ anbox-installer 
The anbox-installer is deprecated. Please find updated installation
instructions here https://github.com/anbox/anbox/blob/master/docs/install.md

For any further questions please ask on the #anbox IRC channel on the
FreeNode network or in the Anbox telegram group (https://t.me/anbox).

Visiting https://github.com/anbox/anbox/blob/master/docs/install.md gives us new installation instruction:

sudo add-apt-repository ppa:morphis/anbox-support
sudo apt update
sudo apt install anbox-modules-dkms

sudo modprobe ashmem_linux
sudo modprobe binder_linux

snap install --devmode --beta anbox

Then consult official documentation about software installation or simply run anbox.appmgr.

  • I got further in the installation process. Now my problem is sudo apt install anbox-modules-dkms Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package anbox-modules-dkms – Cappuccio Jul 12 '18 at 12:07
  • This means that this PPA does not have packages for 17.10. You should upgrade to 18.04 LTS as soon as possible. – N0rbert Jul 12 '18 at 21:10

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.